Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QLocale.Country

    java.lang.Object
      java.lang.Enum<QLocale.Country>
          com.trolltech.qt.core.QLocale.Country

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLocale.Country>

Enclosing class:
  QLocale

    public static enum QLocale.Country

extends java.lang.Enum<QLocale.Country>
implements QtEnumerator

This enumerated type is used to specify a country.

See Also:
  `country`

Enum Constant Summary
`Afghanistan` Internal.
`Albania` Internal.
`Algeria` Internal.
`AmericanSamoa` Internal.
`Andorra` Internal.
`Angola` Internal.
`Anguilla` Internal.
`Antarctica` Internal.
`AntiguaAndBarbuda` Internal.
`AnyCountry` Internal.
`Argentina` Internal.
`Armenia` Internal.
`Aruba` Internal.
`Australia` Internal.
`Austria` Internal.
`Azerbaijan` Internal.
`Bahamas` Internal.
`Bahrain` Internal.
`Bangladesh` Internal.
`Barbados` Internal.
`Belarus` Internal.
`Belgium` Internal.
`Belize` Internal.
`Benin` Internal.
`Bermuda` Internal.
`Bhutan` Internal.
`Bolivia` Internal.
`BosniaAndHerzegowina` Internal.
`Botswana` Internal.
`BouvetIsland` Internal.
`Brazil` Internal.
`BritishIndianOceanTerritory` Internal.
`BritishVirginIslands` Internal.
`BruneiDarussalam` Internal.
`Bulgaria` Internal.
`BurkinaFaso` Internal.
`Burundi` Internal.
`Cambodia` Internal.
`Cameroon` Internal.
`Canada` Internal.
`CapeVerde` Internal.
`CaymanIslands` Internal.
`CentralAfricanRepublic` Internal.
`Chad` Internal.
`Chile` Internal.
`China` Internal.
`ChristmasIsland` Internal.
`CocosIslands` Internal.
`Colombia` Internal.
`Comoros` Internal.
`CookIslands` Internal.
`CostaRica` Internal.
`Croatia` Internal.
`Cuba` Internal.
`Cyprus` Internal.
`CzechRepublic` Internal.
`DemocraticRepublicOfCongo` Internal.
`DemocraticRepublicOfKorea` Internal.
`Denmark` Internal.
`Djibouti` Internal.
`Dominica` Internal.
`DominicanRepublic` Internal.
`EastTimor` Internal.
`Ecuador` Internal.
`Egypt` Internal.
`ElSalvador` Internal.
`EquatorialGuinea` Internal.
`Eritrea` Internal.
`Estonia` Internal.
`Ethiopia` Internal.
`FalklandIslands` Internal.
`FaroeIslands` Internal.
`FijiCountry` Internal.
`Finland` Internal.
`France` Internal.
`FrenchGuiana` Internal.
`FrenchPolynesia` Internal.
`FrenchSouthernTerritories` Internal.
`Gabon` Internal.
`Gambia` Internal.
`Georgia` Internal.
`Germany` Internal.
`Ghana` Internal.
`Gibraltar` Internal.
`Greece` Internal.
`Greenland` Internal.
`Grenada` Internal.
`Guadeloupe` Internal.
`Guam` Internal.
`Guatemala` Internal.
`Guinea` Internal.
`GuineaBissau` Internal.
`Guyana` Internal.
`Haiti` Internal.
`HeardAndMcDonaldIslands` Internal.
`Honduras` Internal.
`HongKong` Internal.
`Hungary` Internal.
`Iceland` Internal.
`India` Internal.
`Indonesia` Internal.
`Iran` Internal.
`Iraq` Internal.
`Ireland` Internal.
`Israel` Internal.
`Italy` Internal.
`IvoryCoast` Internal.
`Jamaica` Internal.
`Japan` Internal.
`Jordan` Internal.
`Kazakhstan` Internal.
`Kenya` Internal.
`Kiribati` Internal.
`Kuwait` Internal.
`Kyrgyzstan` Internal.
`Lao` Internal.
`Latvia` Internal.
`Lebanon` Internal.
`Lesotho` Internal.
`Liberia` Internal.
`LibyanArabJamahiriya` Internal.
`Liechtenstein` Internal.
`Lithuania` Internal.
`Luxembourg` Internal.
`Macau` Internal.
`Macedonia` Internal.
`Madagascar` Internal.
`Malawi` Internal.
`Malaysia` Internal.
`Maldives` Internal.
`Mali` Internal.
`Malta` Internal.
`MarshallIslands` Internal.
`Martinique` Internal.
`Mauritania` Internal.
`Mauritius` Internal.
`Mayotte` Internal.
`MetropolitanFrance` Internal.
`Mexico` Internal.
`Micronesia` Internal.
`Moldova` Internal.
`Monaco` Internal.
`Mongolia` Internal.
`Montserrat` Internal.
`Morocco` Internal.
`Mozambique` Internal.
`Myanmar` Internal.
`Namibia` Internal.
`NauruCountry` Internal.
`Nepal` Internal.
`Netherlands` Internal.
`NetherlandsAntilles` Internal.
`NewCaledonia` Internal.
`NewZealand` Internal.
`Nicaragua` Internal.
`Niger` Internal.
`Nigeria` Internal.
`Niue` Internal.
`NorfolkIsland` Internal.
`NorthernMarianaIslands` Internal.
`Norway` Internal.
`Oman` Internal.
`Pakistan` Internal.
`Palau` Internal.
`PalestinianTerritory` Internal.
`Panama` Internal.
`PapuaNewGuinea` Internal.
`Paraguay` Internal.
`PeoplesRepublicOfCongo` Internal.
`Peru` Internal.
`Philippines` Internal.
`Pitcairn` Internal.
`Poland` Internal.
`Portugal` Internal.
`PuertoRico` Internal.
`Qatar` Internal.
`RepublicOfKorea` Internal.
`Reunion` Internal.
`Romania` Internal.
`RussianFederation` Internal.
`Rwanda` Internal.
`SaintKittsAndNevis` Internal.
`Samoa` Internal.
`SanMarino` Internal.
`SaoTomeAndPrincipe` Internal.
`SaudiArabia` Internal.
`Senegal` Internal.
`SerbiaAndMontenegro` Internal.
`Seychelles` Internal.
`SierraLeone` Internal.
`Singapore` Internal.
`Slovakia` Internal.
`Slovenia` Internal.
`SolomonIslands` Internal.
`Somalia` Internal.
`SouthAfrica` Internal.
`SouthGeorgiaAndTheSouthSandwichIslands` Internal.
`Spain` Internal.
`SriLanka` Internal.
`StHelena` Internal.
`StLucia` Internal.
`StPierreAndMiquelon` Internal.
`StVincentAndTheGrenadines` Internal.
`Sudan` Internal.
`Suriname` Internal.
`SvalbardAndJanMayenIslands` Internal.
`Swaziland` Internal.
`Sweden` Internal.
`Switzerland` Internal.
`SyrianArabRepublic` Internal.
`Taiwan` Internal.
`Tajikistan` Internal.
`Tanzania` Internal.
`Thailand` Internal.
`Togo` Internal.
`Tokelau` Internal.
`TongaCountry` Internal.
`TrinidadAndTobago` Internal.
`Tunisia` Internal.
`Turkey` Internal.
`Turkmenistan` Internal.
`TurksAndCaicosIslands` Internal.
`Tuvalu` Internal.
`Uganda` Internal.
`Ukraine` Internal.
`UnitedArabEmirates` Internal.
`UnitedKingdom` Internal.
`UnitedStates` Internal.
`UnitedStatesMinorOutlyingIslands` Internal.
`Uruguay` Internal.
`USVirginIslands` Internal.
`Uzbekistan` Internal.
`Vanuatu` Internal.
`VaticanCityState` Internal.
`Venezuela` Internal.
`VietNam` Internal.
`WallisAndFutunaIslands` Internal.
`WesternSahara` Internal.
`Yemen` Internal.
`Yugoslavia` Internal.
`Zambia` Internal.
`Zimbabwe` Internal.

Method Summary
`static QLocale.Country` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocale.Country` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLocale.Country[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AnyCountry

    public static final QLocale.Country AnyCountry

  Internal.

### Afghanistan

    public static final QLocale.Country Afghanistan

  Internal.

### Albania

    public static final QLocale.Country Albania

  Internal.

### Algeria

    public static final QLocale.Country Algeria

  Internal.

### AmericanSamoa

    public static final QLocale.Country AmericanSamoa

  Internal.

### Andorra

    public static final QLocale.Country Andorra

  Internal.

### Angola

    public static final QLocale.Country Angola

  Internal.

### Anguilla

    public static final QLocale.Country Anguilla

  Internal.

### Antarctica

    public static final QLocale.Country Antarctica

  Internal.

### AntiguaAndBarbuda

    public static final QLocale.Country AntiguaAndBarbuda

  Internal.

### Argentina

    public static final QLocale.Country Argentina

  Internal.

### Armenia

    public static final QLocale.Country Armenia

  Internal.

### Aruba

    public static final QLocale.Country Aruba

  Internal.

### Australia

    public static final QLocale.Country Australia

  Internal.

### Austria

    public static final QLocale.Country Austria

  Internal.

### Azerbaijan

    public static final QLocale.Country Azerbaijan

  Internal.

### Bahamas

    public static final QLocale.Country Bahamas

  Internal.

### Bahrain

    public static final QLocale.Country Bahrain

  Internal.

### Bangladesh

    public static final QLocale.Country Bangladesh

  Internal.

### Barbados

    public static final QLocale.Country Barbados

  Internal.

### Belarus

    public static final QLocale.Country Belarus

  Internal.

### Belgium

    public static final QLocale.Country Belgium

  Internal.

### Belize

    public static final QLocale.Country Belize

  Internal.

### Benin

    public static final QLocale.Country Benin

  Internal.

### Bermuda

    public static final QLocale.Country Bermuda

  Internal.

### Bhutan

    public static final QLocale.Country Bhutan

  Internal.

### Bolivia

    public static final QLocale.Country Bolivia

  Internal.

### BosniaAndHerzegowina

    public static final QLocale.Country BosniaAndHerzegowina

  Internal.

### Botswana

    public static final QLocale.Country Botswana

  Internal.

### BouvetIsland

    public static final QLocale.Country BouvetIsland

  Internal.

### Brazil

    public static final QLocale.Country Brazil

  Internal.

### BritishIndianOceanTerritory

    public static final QLocale.Country BritishIndianOceanTerritory

  Internal.

### BruneiDarussalam

    public static final QLocale.Country BruneiDarussalam

  Internal.

### Bulgaria

    public static final QLocale.Country Bulgaria

  Internal.

### BurkinaFaso

    public static final QLocale.Country BurkinaFaso

  Internal.

### Burundi

    public static final QLocale.Country Burundi

  Internal.

### Cambodia

    public static final QLocale.Country Cambodia

  Internal.

### Cameroon

    public static final QLocale.Country Cameroon

  Internal.

### Canada

    public static final QLocale.Country Canada

  Internal.

### CapeVerde

    public static final QLocale.Country CapeVerde

  Internal.

### CaymanIslands

    public static final QLocale.Country CaymanIslands

  Internal.

### CentralAfricanRepublic

    public static final QLocale.Country CentralAfricanRepublic

  Internal.

### Chad

    public static final QLocale.Country Chad

  Internal.

### Chile

    public static final QLocale.Country Chile

  Internal.

### China

    public static final QLocale.Country China

  Internal.

### ChristmasIsland

    public static final QLocale.Country ChristmasIsland

  Internal.

### CocosIslands

    public static final QLocale.Country CocosIslands

  Internal.

### Colombia

    public static final QLocale.Country Colombia

  Internal.

### Comoros

    public static final QLocale.Country Comoros

  Internal.

### DemocraticRepublicOfCongo

    public static final QLocale.Country DemocraticRepublicOfCongo

  Internal.

### PeoplesRepublicOfCongo

    public static final QLocale.Country PeoplesRepublicOfCongo

  Internal.

### CookIslands

    public static final QLocale.Country CookIslands

  Internal.

### CostaRica

    public static final QLocale.Country CostaRica

  Internal.

### IvoryCoast

    public static final QLocale.Country IvoryCoast

  Internal.

### Croatia

    public static final QLocale.Country Croatia

  Internal.

### Cuba

    public static final QLocale.Country Cuba

  Internal.

### Cyprus

    public static final QLocale.Country Cyprus

  Internal.

### CzechRepublic

    public static final QLocale.Country CzechRepublic

  Internal.

### Denmark

    public static final QLocale.Country Denmark

  Internal.

### Djibouti

    public static final QLocale.Country Djibouti

  Internal.

### Dominica

    public static final QLocale.Country Dominica

  Internal.

### DominicanRepublic

    public static final QLocale.Country DominicanRepublic

  Internal.

### EastTimor

    public static final QLocale.Country EastTimor

  Internal.

### Ecuador

    public static final QLocale.Country Ecuador

  Internal.

### Egypt

    public static final QLocale.Country Egypt

  Internal.

### ElSalvador

    public static final QLocale.Country ElSalvador

  Internal.

### EquatorialGuinea

    public static final QLocale.Country EquatorialGuinea

  Internal.

### Eritrea

    public static final QLocale.Country Eritrea

  Internal.

### Estonia

    public static final QLocale.Country Estonia

  Internal.

### Ethiopia

    public static final QLocale.Country Ethiopia

  Internal.

### FalklandIslands

    public static final QLocale.Country FalklandIslands

  Internal.

### FaroeIslands

    public static final QLocale.Country FaroeIslands

  Internal.

### FijiCountry

    public static final QLocale.Country FijiCountry

  Internal.

### Finland

    public static final QLocale.Country Finland

  Internal.

### France

    public static final QLocale.Country France

  Internal.

### MetropolitanFrance

    public static final QLocale.Country MetropolitanFrance

  Internal.

### FrenchGuiana

    public static final QLocale.Country FrenchGuiana

  Internal.

### FrenchPolynesia

    public static final QLocale.Country FrenchPolynesia

  Internal.

### FrenchSouthernTerritories

    public static final QLocale.Country FrenchSouthernTerritories

  Internal.

### Gabon

    public static final QLocale.Country Gabon

  Internal.

### Gambia

    public static final QLocale.Country Gambia

  Internal.

### Georgia

    public static final QLocale.Country Georgia

  Internal.

### Germany

    public static final QLocale.Country Germany

  Internal.

### Ghana

    public static final QLocale.Country Ghana

  Internal.

### Gibraltar

    public static final QLocale.Country Gibraltar

  Internal.

### Greece

    public static final QLocale.Country Greece

  Internal.

### Greenland

    public static final QLocale.Country Greenland

  Internal.

### Grenada

    public static final QLocale.Country Grenada

  Internal.

### Guadeloupe

    public static final QLocale.Country Guadeloupe

  Internal.

### Guam

    public static final QLocale.Country Guam

  Internal.

### Guatemala

    public static final QLocale.Country Guatemala

  Internal.

### Guinea

    public static final QLocale.Country Guinea

  Internal.

### GuineaBissau

    public static final QLocale.Country GuineaBissau

  Internal.

### Guyana

    public static final QLocale.Country Guyana

  Internal.

### Haiti

    public static final QLocale.Country Haiti

  Internal.

### HeardAndMcDonaldIslands

    public static final QLocale.Country HeardAndMcDonaldIslands

  Internal.

### Honduras

    public static final QLocale.Country Honduras

  Internal.

### HongKong

    public static final QLocale.Country HongKong

  Internal.

### Hungary

    public static final QLocale.Country Hungary

  Internal.

### Iceland

    public static final QLocale.Country Iceland

  Internal.

### India

    public static final QLocale.Country India

  Internal.

### Indonesia

    public static final QLocale.Country Indonesia

  Internal.

### Iran

    public static final QLocale.Country Iran

  Internal.

### Iraq

    public static final QLocale.Country Iraq

  Internal.

### Ireland

    public static final QLocale.Country Ireland

  Internal.

### Israel

    public static final QLocale.Country Israel

  Internal.

### Italy

    public static final QLocale.Country Italy

  Internal.

### Jamaica

    public static final QLocale.Country Jamaica

  Internal.

### Japan

    public static final QLocale.Country Japan

  Internal.

### Jordan

    public static final QLocale.Country Jordan

  Internal.

### Kazakhstan

    public static final QLocale.Country Kazakhstan

  Internal.

### Kenya

    public static final QLocale.Country Kenya

  Internal.

### Kiribati

    public static final QLocale.Country Kiribati

  Internal.

### DemocraticRepublicOfKorea

    public static final QLocale.Country DemocraticRepublicOfKorea

  Internal.

### RepublicOfKorea

    public static final QLocale.Country RepublicOfKorea

  Internal.

### Kuwait

    public static final QLocale.Country Kuwait

  Internal.

### Kyrgyzstan

    public static final QLocale.Country Kyrgyzstan

  Internal.

### Lao

    public static final QLocale.Country Lao

  Internal.

### Latvia

    public static final QLocale.Country Latvia

  Internal.

### Lebanon

    public static final QLocale.Country Lebanon

  Internal.

### Lesotho

    public static final QLocale.Country Lesotho

  Internal.

### Liberia

    public static final QLocale.Country Liberia

  Internal.

### LibyanArabJamahiriya

    public static final QLocale.Country LibyanArabJamahiriya

  Internal.

### Liechtenstein

    public static final QLocale.Country Liechtenstein

  Internal.

### Lithuania

    public static final QLocale.Country Lithuania

  Internal.

### Luxembourg

    public static final QLocale.Country Luxembourg

  Internal.

### Macau

    public static final QLocale.Country Macau

  Internal.

### Macedonia

    public static final QLocale.Country Macedonia

  Internal.

### Madagascar

    public static final QLocale.Country Madagascar

  Internal.

### Malawi

    public static final QLocale.Country Malawi

  Internal.

### Malaysia

    public static final QLocale.Country Malaysia

  Internal.

### Maldives

    public static final QLocale.Country Maldives

  Internal.

### Mali

    public static final QLocale.Country Mali

  Internal.

### Malta

    public static final QLocale.Country Malta

  Internal.

### MarshallIslands

    public static final QLocale.Country MarshallIslands

  Internal.

### Martinique

    public static final QLocale.Country Martinique

  Internal.

### Mauritania

    public static final QLocale.Country Mauritania

  Internal.

### Mauritius

    public static final QLocale.Country Mauritius

  Internal.

### Mayotte

    public static final QLocale.Country Mayotte

  Internal.

### Mexico

    public static final QLocale.Country Mexico

  Internal.

### Micronesia

    public static final QLocale.Country Micronesia

  Internal.

### Moldova

    public static final QLocale.Country Moldova

  Internal.

### Monaco

    public static final QLocale.Country Monaco

  Internal.

### Mongolia

    public static final QLocale.Country Mongolia

  Internal.

### Montserrat

    public static final QLocale.Country Montserrat

  Internal.

### Morocco

    public static final QLocale.Country Morocco

  Internal.

### Mozambique

    public static final QLocale.Country Mozambique

  Internal.

### Myanmar

    public static final QLocale.Country Myanmar

  Internal.

### Namibia

    public static final QLocale.Country Namibia

  Internal.

### NauruCountry

    public static final QLocale.Country NauruCountry

  Internal.

### Nepal

    public static final QLocale.Country Nepal

  Internal.

### Netherlands

    public static final QLocale.Country Netherlands

  Internal.

### NetherlandsAntilles

    public static final QLocale.Country NetherlandsAntilles

  Internal.

### NewCaledonia

    public static final QLocale.Country NewCaledonia

  Internal.

### NewZealand

    public static final QLocale.Country NewZealand

  Internal.

### Nicaragua

    public static final QLocale.Country Nicaragua

  Internal.

### Niger

    public static final QLocale.Country Niger

  Internal.

### Nigeria

    public static final QLocale.Country Nigeria

  Internal.

### Niue

    public static final QLocale.Country Niue

  Internal.

### NorfolkIsland

    public static final QLocale.Country NorfolkIsland

  Internal.

### NorthernMarianaIslands

    public static final QLocale.Country NorthernMarianaIslands

  Internal.

### Norway

    public static final QLocale.Country Norway

  Internal.

### Oman

    public static final QLocale.Country Oman

  Internal.

### Pakistan

    public static final QLocale.Country Pakistan

  Internal.

### Palau

    public static final QLocale.Country Palau

  Internal.

### PalestinianTerritory

    public static final QLocale.Country PalestinianTerritory

  Internal.

### Panama

    public static final QLocale.Country Panama

  Internal.

### PapuaNewGuinea

    public static final QLocale.Country PapuaNewGuinea

  Internal.

### Paraguay

    public static final QLocale.Country Paraguay

  Internal.

### Peru

    public static final QLocale.Country Peru

  Internal.

### Philippines

    public static final QLocale.Country Philippines

  Internal.

### Pitcairn

    public static final QLocale.Country Pitcairn

  Internal.

### Poland

    public static final QLocale.Country Poland

  Internal.

### Portugal

    public static final QLocale.Country Portugal

  Internal.

### PuertoRico

    public static final QLocale.Country PuertoRico

  Internal.

### Qatar

    public static final QLocale.Country Qatar

  Internal.

### Reunion

    public static final QLocale.Country Reunion

  Internal.

### Romania

    public static final QLocale.Country Romania

  Internal.

### RussianFederation

    public static final QLocale.Country RussianFederation

  Internal.

### Rwanda

    public static final QLocale.Country Rwanda

  Internal.

### SaintKittsAndNevis

    public static final QLocale.Country SaintKittsAndNevis

  Internal.

### StLucia

    public static final QLocale.Country StLucia

  Internal.

### StVincentAndTheGrenadines

    public static final QLocale.Country StVincentAndTheGrenadines

  Internal.

### Samoa

    public static final QLocale.Country Samoa

  Internal.

### SanMarino

    public static final QLocale.Country SanMarino

  Internal.

### SaoTomeAndPrincipe

    public static final QLocale.Country SaoTomeAndPrincipe

  Internal.

### SaudiArabia

    public static final QLocale.Country SaudiArabia

  Internal.

### Senegal

    public static final QLocale.Country Senegal

  Internal.

### Seychelles

    public static final QLocale.Country Seychelles

  Internal.

### SierraLeone

    public static final QLocale.Country SierraLeone

  Internal.

### Singapore

    public static final QLocale.Country Singapore

  Internal.

### Slovakia

    public static final QLocale.Country Slovakia

  Internal.

### Slovenia

    public static final QLocale.Country Slovenia

  Internal.

### SolomonIslands

    public static final QLocale.Country SolomonIslands

  Internal.

### Somalia

    public static final QLocale.Country Somalia

  Internal.

### SouthAfrica

    public static final QLocale.Country SouthAfrica

  Internal.

### SouthGeorgiaAndTheSouthSandwichIslands

    public static final QLocale.Country SouthGeorgiaAndTheSouthSandwichIslands

  Internal.

### Spain

    public static final QLocale.Country Spain

  Internal.

### SriLanka

    public static final QLocale.Country SriLanka

  Internal.

### StHelena

    public static final QLocale.Country StHelena

  Internal.

### StPierreAndMiquelon

    public static final QLocale.Country StPierreAndMiquelon

  Internal.

### Sudan

    public static final QLocale.Country Sudan

  Internal.

### Suriname

    public static final QLocale.Country Suriname

  Internal.

### SvalbardAndJanMayenIslands

    public static final QLocale.Country SvalbardAndJanMayenIslands

  Internal.

### Swaziland

    public static final QLocale.Country Swaziland

  Internal.

### Sweden

    public static final QLocale.Country Sweden

  Internal.

### Switzerland

    public static final QLocale.Country Switzerland

  Internal.

### SyrianArabRepublic

    public static final QLocale.Country SyrianArabRepublic

  Internal.

### Taiwan

    public static final QLocale.Country Taiwan

  Internal.

### Tajikistan

    public static final QLocale.Country Tajikistan

  Internal.

### Tanzania

    public static final QLocale.Country Tanzania

  Internal.

### Thailand

    public static final QLocale.Country Thailand

  Internal.

### Togo

    public static final QLocale.Country Togo

  Internal.

### Tokelau

    public static final QLocale.Country Tokelau

  Internal.

### TongaCountry

    public static final QLocale.Country TongaCountry

  Internal.

### TrinidadAndTobago

    public static final QLocale.Country TrinidadAndTobago

  Internal.

### Tunisia

    public static final QLocale.Country Tunisia

  Internal.

### Turkey

    public static final QLocale.Country Turkey

  Internal.

### Turkmenistan

    public static final QLocale.Country Turkmenistan

  Internal.

### TurksAndCaicosIslands

    public static final QLocale.Country TurksAndCaicosIslands

  Internal.

### Tuvalu

    public static final QLocale.Country Tuvalu

  Internal.

### Uganda

    public static final QLocale.Country Uganda

  Internal.

### Ukraine

    public static final QLocale.Country Ukraine

  Internal.

### UnitedArabEmirates

    public static final QLocale.Country UnitedArabEmirates

  Internal.

### UnitedKingdom

    public static final QLocale.Country UnitedKingdom

  Internal.

### UnitedStates

    public static final QLocale.Country UnitedStates

  Internal.

### UnitedStatesMinorOutlyingIslands

    public static final QLocale.Country UnitedStatesMinorOutlyingIslands

  Internal.

### Uruguay

    public static final QLocale.Country Uruguay

  Internal.

### Uzbekistan

    public static final QLocale.Country Uzbekistan

  Internal.

### Vanuatu

    public static final QLocale.Country Vanuatu

  Internal.

### VaticanCityState

    public static final QLocale.Country VaticanCityState

  Internal.

### Venezuela

    public static final QLocale.Country Venezuela

  Internal.

### VietNam

    public static final QLocale.Country VietNam

  Internal.

### BritishVirginIslands

    public static final QLocale.Country BritishVirginIslands

  Internal.

### USVirginIslands

    public static final QLocale.Country USVirginIslands

  Internal.

### WallisAndFutunaIslands

    public static final QLocale.Country WallisAndFutunaIslands

  Internal.

### WesternSahara

    public static final QLocale.Country WesternSahara

  Internal.

### Yemen

    public static final QLocale.Country Yemen

  Internal.

### Yugoslavia

    public static final QLocale.Country Yugoslavia

  Internal.

### Zambia

    public static final QLocale.Country Zambia

  Internal.

### Zimbabwe

    public static final QLocale.Country Zimbabwe

  Internal.

### SerbiaAndMontenegro

    public static final QLocale.Country SerbiaAndMontenegro

  Internal.

Method Detail

### values

    public static final QLocale.Country[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLocale.Country c : QLocale.Country.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLocale.Country valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLocale.Country resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD